// BUTTONS

button,
input[type='button'],
input[type='reset'],
input[type='submit'],
.btn
	button( primary )
	border-radius 0
	color white
	display block
	height auto
	margin-bottom 0
	margin-right 10px

.button,
.btn
	padding 1rem

.button-group
	display grid
	grid-template-columns repeat(auto-fit, minmax(49%, 1fr))
	grid-gap 6px
	width 100%
	margin-bottom 0
	.button-link
		width 100%
		a
			&.btn
				button( primary )
				align-items center
				border-radius 0
				color white
				display flex
				font-size 1.75rem
				font-weight normal
				height auto
				justify-content center
				line-height 1.5
				margin-right 0
				padding 1rem
				width auto
				i
					margin-right 6px

+above(l)
	button,
	input[type='button'],
	input[type='reset'],
	input[type='submit'],
	.btn
		height 2.5rem
	.button-group
		display flex
		width auto
		.button-link
			margin-right 6px
			&:last-child
				margin-right 0
			a
				&.btn
					// width auto
					// height 2.5rem
					font-size 16px
					line-height 1.5
					padding 0.2375rem 0.75rem
					i
						margin-right 6px
